//$font-size: 8px;
//$secondary-font-size: 8px;

@import "~ag-grid-community/src/styles/ag-grid.scss";
@import "~ag-grid-community/src/styles/ag-theme-balham/sass/ag-theme-balham.scss";

// .ag-header-cell {
//   position: unset !important
// }

//defaut-ag-table-page input
.input-page,.input-page:hover,.input-page:focus{
  width: 55px !important;
    margin-left: 20px !important;
    text-align: center;
    color: #000 !important;
    border: 1.15px solid black !important;
    border-radius: 3px;
    font-size: 1rem !important;
}
                      
.input-page::placeholder{
  color: #000 !important;
  font-size: 1rem !important;
}

//menu-sidebar css
.inject-Sidebar-with-auth-users-itemLink-27{
  padding: 1px 15px !important ;
  margin: 3px 15px 0 !important;
}

.jss27{
  padding: 1px 15px !important ;
  margin: 3px 15px 0 !important;
}

.inject-Sidebar-with-auth-users-list-24{
  margin-top: 7px !important;
}

.jss24{
  margin-top: 7px !important;
}

.inject-Sidebar-with-auth-users-collapseItemLink-38{
  padding: 0 10px !important;
}

.jss38{
  padding: 0 10px !important;
}

.inject-Sidebar-with-auth-users-logo-15{
  padding: 10px 0 !important;
}

.jss15{
  padding: 10px 0 !important;
}

.inject-Sidebar-with-auth-users-user-58{
  margin: 4px auto 0 !important;
  padding-bottom: 9px !important;
}

.jss58 {
  margin: 4px auto 0 !important;
  padding-bottom: 9px !important;
}

//sku list classes
.sku-actual-target > .recharts-surface {
  height: 800px !important;
}

.sku-name {
  color: #5e15e6;
  background-color: #fefefe;
  height: 100% !important;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0.7rem !important;
  font-weight: 700;
}

//linear graph
.recharts-legend-wrapper {
  //margin-top: 100px !important;
  bottom: -30px !important;
}

.ag-header-group-cell-label {
  justify-content: center;
  //  border-bottom-style: solid;
  //  border-color: black;
  //  border-width: 1px;
}

//Dashboard button
.display-date-box {
  display: flex;
  flex-direction: column;
  margin-top: 15px !important;
}

.display-date {
  position: relative !important;
  //left: 19px !important;
  //font-size: 23px !important;
}

.date-selection-box{
  display: flex;
  flex-direction: row !important;
  flex-wrap: unset !important;
}

.Card-card-478 {
  padding-top: 15px !important;
}

.date-selection-dashboard>.inject-Dashboard-with-productionHoursWorked-finishedInventoryReport-dashboardPd-textField-360 {
  width: 140px !important;
  margin-left: 2px !important;
  margin-right: 8px !important;
}

.heading-display-date {
  font-size: 1rem !important;
  position: relative;
  //left: 18px !important;
}

.date-selection-dashboard
  > .inject-Dashboard-with-productionHoursWorked-finishedInventoryReport-dashboardPd-container-359 {
  flex-wrap: unset !important;
  flex-direction: row !important;
}

.footer-box-pd {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  margin-top: 30px !important;
  //align-items: baseline !important;
}

.date-selection-dashboard {
  display: flex !important;
  flex-direction: row !important;
  justify-content: space-around !important;
}

.date-selection-dashboard > .MuiFormLabel-root {
  font-size: 2rem !important;
}

.sku-fir-red {
  margin-right: 30px !important;
  border: 2px solid #b3b3b3 !important;
  margin-left: 44px !important;
  width: 980px !important;
}

.table {
  border-top: 1px solid gray;
  border-left: 1px solid gray;
  margin: 5px;
}

.dsr-table {
  margin: 15px !important;
  border: 1px solid gray !important;
}

th {
  border-bottom: 1px solid #bdc3c7 !important;
  // border-right: 1px solid #BDC3C7 !important;
  overflow: hidden;
  text-align: left;
}

td {
  border-bottom: 1px solid gray !important;
}

.ag-header-group-text {
  font-size: 14px;
  font-weight: 800;
}

.MuiGrid-grid-md-12 {
  max-width: unset;
}

.MuiPaper-root {
  color: white !important;
}

.MuiButton-label {
  color: black !important;
}

th > .column-element {
  border-right: 1px solid #bdc3c7 !important;
  color: gray !important;
}


.dsr-button {
  width: 90px !important;
  cursor: pointer !important;
  height: 40px !important;
  color: #fff !important;
  margin-right: 20px !important;
  border-radius: 5px !important;
  border: none;
  background-color: #0ab2c7;
  font-size: 12px !important;
  font-weight: 500;
  font-family: "Roboto", "Helvetica", "Arial", "sans-serif" !important ;
}

.date-selection-dashboard > .dsr-button {
  width: 83px !important;
  height: 36px !important;
}

.page-status{
  display: flex;
    justify-content: center;
    align-items: center;
    cursor: none !important;
    background-color: #fff !important;
    color: #000 !important;
    font-size: .85rem !important;
}

.dsr-button-danger {
  background-color: red !important;
  width: 90px !important;
  height: 40px !important;
  color: #fff !important;
  margin-right: 20px !important;
  border-radius: 5px !important;
  border: none;
  //background-color: #0ab2c7;
  font-size: 12px !important;
  font-weight: 500;
  font-family: "Roboto", "Helvetica", "Arial", "sans-serif" !important ;
}

.dsr-button-danger:hover,
.dsr-button-danger:active,
.dsr-button-danger:focus {
  background-color: #a32e26 !important;
  box-shadow: none;
}

.dsr-button:hover,
.dsr-button:active,
.dsr-button:focus {
  background-color: #2eaebe !important;
  box-shadow: none;
}

.page-status:hover,
.page-status:active,
.page-status:focus{
 cursor: none !important;
   background-color: #fff !important;
}

.dsr-box {
  display: flex;
  justify-content: space-between;
  margin: 25px 0;
}

.dsr-result {
  width: 50% !important;
}

.dsr-button-container {
  display: flex !important;
  justify-content: flex-end;
  margin-bottom: 20px !important;
}

.dsr-button-selection {
  border: 0 !important;
  border-radius: 6px;
  //margin-left:83%;
  color: #fff !important;
  background-color: #0ab2c7 /* 	#4dcedf */;
  font-family: Roboto, Helvetica, Arial, sans-serif !important ;
  font-size: 12px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  margin-bottom: 20px;
}

.dsr-button-selection:hover {
  background-color: #0ab2c7;
}

.dsr-button-selection > .MuiButton-root {
  color: #fff !important;
  border: none;
  font-size: 12px !important;
  font-weight: 500;
  font-family: " Roboto", "Helvetica", "Arial", "sans-serif" !important ;
}

.MuiButton-outlinedPrimary {
  color: #fff !important;
  border: 0px !important;
}

.MuiButton-outlinedPrimary:hover {
  border: 0px !important;
}

.MuiButton-outlined {
  border: 0px !important;
}

.Card-card-434 {
  box-shadow: none !important;
  margin-top: 0px !important;
}

.CardHeader-infoCardHeader-462:not(.CardHeader-cardHeaderText-458):not(.CardHeader-cardHeaderIcon-457) {
  box-shadow: none !important;
}

#first-print {
  //width: 842px !important;
  padding: 10px 5px;
  display: none;

  //flex-wrap: wrap;
  .logo-container {
    align-self: flex-end;
    padding-right: 50px;

    & > img {
      border-bottom: 3px solid black;
      padding-bottom: 5px;
    }
  }

  .header-container {
    flex-grow: 1;

    .main-header {
      display: flex;
      //flex-wrap: wrap;
      // justify-content: center;
      align-items: baseline;

      .component-name {
        display: flex;
        justify-content: flex-end;
        width: 50%;
        color: black;
      }

      h3 {
        font-weight: 900;
        font-family: serif;
        //margin-left: auto;
      }

      // .week-start-date {

      //   margin: 0 auto;
      //   display: flex;
      //   //flex-wrap: wrap;
      //   font-weight: 400;
      //   justify-content: space-around;

      // margin-right: 110px;
      .week-start-date {
        /* margin: 0 auto; */
        width: 50%;
        display: flex;
        font-weight: 400;
        justify-content: flex-end;
        color: gray;
        /* margin: 0 266px; */
        /* padding-left: 55px; */
        // margin-left: 364px;
        // margin-right: 110px;

        .date {
          padding-left: 10px;
        }
      }
    }

    .inventory-color-legend {
      display: flex;
      //flex-wrap: wrap;
      //justify-content: center;

      .inventory {
        display: flex;
        //flex-wrap: wrap;
        justify-content: center;
        width: 80%;
        //margin: 0 50px;

        .header {
          font-weight: 900;
          align-self: center;
          font-family: serif;
          padding-right: 5px;
        }

        .indicator {
          width: max-content;
          align-self: center;
          text-align: center;

          font-size: 12px;
          padding: 1px 20px;
          font-weight: 500;
          border: 1px solid black;

          &.black {
            background: black;
            color: white;
          }

          &.green {
            background: #92d050;
            color: black;
          }

          &.yellow {
            background: #ffff00;
            color: black;
          }

          &.red {
            background: #ff0400;
            color: white;
          }
        }
      }

      .updated {
        display: flex;
        font-weight: 500;
        justify-content: flex-end;
        width: 20%;

        .date {
          margin-left: 10px;
          color: #3f0ec4;
          background-color: #ffff00;
        }
      }
    }
  }
}

/*.MuiAppBar-root .MuiAppBar-positionFixed .MuiAppBar-colorPrimary >.AdminNavbar-appBar-162{*/

@media print {
  body {
    background-color: #fff !important;
  }

  @page {
    margin: 0 !important;
  }

  .CardBody-cardBody-491 {
    padding: 5px !important;
  }

  .print-width > header {
    display: none !important;
  }
  .ag-status-bar {
    display: none !important;
  }

  .ps__rail-y {
    visibility: hidden !important;
  }

  // .GridContainer-grid-320 {
  //   background-color: #fff
  // }
  .ag-body-viewport {
    margin-bottom: 60px;
  }

  body {
    background-color: #fff;
  }

  .Footer-footer-503 {
    visibility: hidden !important;
  }

  .inject-Dashboard-with-auth-wrapper-1 {
    background-color: #fff !important;
  }

  // .AdminNavbar-appBar-162 {
  //   background-color: #fff !important;
  //   display: none !important;
  //   visibility: hidden !important;
  // }

  .inject-Dashboard-with-auth-content-3 {
    margin-top: 5px !important;
    padding: 10px 5px !important;
    background-color: #fff !important;
  }

  #first-print {
    display: flex;
    visibility: visible;
  }

  .ag-tool-panel-wrapper,
  .card-header,
  .ag-side-bar,
  .no-print {
    display: none !important;
    // overflow: hidden !important;
    // visibility: hidden !important;
  }

  .ag-header-cell {
    background: black;
    color: white;
  }

  .ag-header-group-cell {
    background: #bfbfbf;
    color: black;
  }

  .inject-Dashboard-with-auth-mainPanelWithPerfectScrollbar-7 {
    overflow: unset !important;
  }

  .print-width {
    width: 100% !important;
    float: none !important;
    overflow: unset !important;
    // padding-top: 15px !important;
    // background-color: #fff !important;
  }

  .grid-class {
    page-break-inside: auto;
  }

  .inject-Dashboard-with-auth-mainPanelWithPerfectScrollbar-7 {
    overflow: unset !important;
    float: none !important;
  }

  //top-gray-line in print
  .Card-card-434 {
    box-shadow: none !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
  }

  .CardHeader-infoCardHeader-462:not(.CardHeader-cardHeaderText-458):not(.CardHeader-cardHeaderIcon-457) {
    box-shadow: none !important;
  }
  //top-gray-line in print
  .Card-card-468 {
    box-shadow: none !important;
  }

  .jss468 {
    box-shadow: none !important;
  }
  .jss812 {
    box-shadow: none !important;
    margin-top: 0 !important;
  }

  .jss666 {
    box-shadow: none !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
  }

  .jss434 {
    box-shadow: none !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
  }
  //border-gray-line-bottom
  .Footer-footer-335 {
    border-top: none !important;
    visibility: hidden !important;
  }

  .jss503 {
    border-top: none !important;
    visibility: hidden !important;
  }
  .jss335 {
    border-top: none !important;
    visibility: hidden !important;
  }
  //header-space
  .jss3 {
    padding: 0px 0px !important;
    margin-top: 0px !important;
    background-color: #fff !important;
  }

  //header tag padding remove
  .jss162 {
    padding: 0 !important;
  }

  //row - padding
  .jss697 {
    padding: 0 !important;
  }

  .jss491 {
    padding: 0 !important;
  }

  //get more than one page, while printing.
  .jss2 {
    float: none !important;
  }

  .jss7 {
    overflow: unset !important;
  }
}

//print
